﻿@using NacGroup.Module.Blog.Models.Schema
@using NacGroup.Module.Core.Models
@using NacGroup.Module.Core.Services
@using Newtonsoft.Json.Linq
@model NacGroup.Module.Core.Models.PagedResult<NacGroup.Module.Blog.Models.Schema.Blog>;
@inject IGettingGlobalConfigService GettingGlobalConfigService
@inject IThemeConfigService ThemeConfigService
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    var blogcate = ViewData["BlogCate"] as BlogCategory;
    ViewData["MetaTitle"] = blogcate.MetaTitle;
    ViewData["MetaDescription"] = blogcate.MetaDescription;
    ViewData["MetaKeyword"] = blogcate.MetaKeyword;
    Layout = "_Layout";
    var coverimage = ThemeConfigService.GetByKey(ConstKey.CoverImageThemeKey)?.Data;
    var coversrc = coverimage != null ? JArray.FromObject(coverimage) : null;

}
@section Style{
    <link href="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/css/blog-page.min.css" rel="stylesheet" />
}
@section Script{
    <script src="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/scripts/blogcat-page.min.js"></script>
}
<main id="blogcat-page">
    <h1 class="hidden">@blogcate.MetaTitle</h1>
    <div id="breadcrumb" class=""
         style="background-image: url('@(coversrc != null ? coversrc[0]["Src"].ToString():"")');">
        <div class="container text-center p-4">
            <h2 class="breadcrumb-header h1 text-uppercase text-bold">@blogcate.MetaTitle</h2>
            <ul class="my-ul breadcrumb-body">
                <li><a href="/">Home</a></li>
                <li><a href="/blog-category/blog">Blog Category</a></li>
                <li class="active">@blogcate.MetaTitle</li>
            </ul>
        </div>
    </div>
    <div class="container container-flex">
        <div class="row clearfix">
            <div class="col col-sm-4 col-md-3">
                <section id="sidebar">
                    @Html.Partial("_RecentNews", Model)
                    <div class="col-item col-img">
                        <a href="@globalConfig.GlobalThemeConfig["Data"][4]["Url"]">
                            <img src="@globalConfig.GlobalThemeConfig["Data"][4]["Src"]" class="img-responsive"
                                 alt="@globalConfig.GlobalThemeConfig["Data"][4]["Alt"]">
                        </a>
                    </div>
                </section>
            </div>
            <div class="col col-sm-8 col-md-9">
                <section id="blogcat">
                    @Html.Partial("_BlogList", Model)
                </section>
            </div>
        </div>
    </div>
</main>